# List of all proof payments

Using this endpoint, you can get list of all proof payments with detailed info of each proof payment (like in Proof payment Detail endpoint).

Response will be in jsonlines format with each proof payment taking one line of output file.


One proof payment in response has the same format as proof payment detail response. See Proof payment snapshot schema for more details.


Result file is compressed using GZIP.

Endpoint: GET /api/proof-payments/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `creationTimeFrom` (string)
    Export proof payments created after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Export proof payments created before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `changeTimeFrom` (string)
    Export proof payments updated after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeTimeTo` (string)
    Export proof payments updated before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `taxDateFrom` (string)
    Export proof payments with tax date after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `taxDateTo` (string)
    Export proof payments with tax date before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `isValid` (boolean)
    Filtering according to document validity
    Example: true

  - `currencyCode` (string)
    Proof payment currency
    Example: "CZK"

  - `closed` (boolean)
    Is the proof payment closed?
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


